Subject: HONDO 8.4 in SGI R8K IRIX 6.1

From: [email-masked] (Gustavo A. Mercier, Jr.)
Date: Wed, 29 May 1996 10:37:16 -0500

Hi!

Has anybody managed to port Hondo 8.4 to an SGI R8K running IRIX 6.1?
I did a port to an R4000, but moving this
version to the R8000 machine has not been simple.

Half of the sample runs stop with error messages.  Specifically, those with user
defined basis sets (8,9,10,13,15,16,17) where an "illegal basis set"
is detected by subroutine ATOMS, and those running the PALDUS
subroutine (2,5) where a "too many rows. maximum is -2" error message
is generated.

I am aware of many of the 32/64 bits idiosyncracies,
but using a variety of switches in the
compilation does not help, eg. mips4 vs mips2 vs -n32 mips4 etc.
Indeed, eliminating optimization by only using -O0 -static -G3 makes
no difference.

In looking at the code of ATOMS it seems that Hondo makes a rather
unorthodox use of character data. For example, character data
is loaded into R*8 variables, and many equivalences are made
between R*8 and CHARACTER*8 data.

Before I begin to mess with the code, has anybody done this port or
knows of somebody who could help in this area? GAMESS is a similar
program, so may be some of the GAMESS people have had a similar
experience, and care to comment. :-)

Thanks in advance ...

Bye

Gustavo A. Mercier, Jr. M.D.,Ph.D.
NIH - LDRR
OD OIR LDRR
Building 10 Room B1N256
10 Center Dr MSC 1074
Bethesda, Maryland 20892-1074
phone: 301-402-3586, 301-402-1981
fax:      301-402-3216
e-mail: [email-masked]
****************************************
****************************************
Every attempt to employ mathematical
methods in the study of chemical questions
must be considered profoundly irrational
and  contrary  to the spirit of chemistry ...
If mathematical analysis should ever hold
a prominent place in chemistry -- an aberration
which  is  happily  almost impossible --  it
would occasion a rapid and widespread
degeneration of that science.

Auguste Comte
Philosophie Positive, Paris, 1838
-------------------------------------------------------------

The underlying physical laws necessary
for the mathematical theory of a large part
of physics and the whole of chemistry are
thus completely  known, and the difficulty is
only that the exact application of these laws
leads to equations much too complicated to be soluble.

Dirac, Proc. Roy. Soc (London) 123:714 (1929)
-------------------------------------------------------------